jQuery(document).ready(function(){
    
    jQuery('.furgefutar_megrendeles_gomb').on('click', furgefutar_megrendeles);
    
    function furgefutar_megrendeles( event ){
        
        var gomb = jQuery( event.target );

        order_id = gomb.attr("order_id");

        jQuery('.furgefutar_megrendeles_gomb').off( 'click' );

        jQuery( '<div class="spinner furgefutar_spinner furgefutar_spinner_'+order_id+'" ></div>').insertBefore( jQuery('.furgefutar_megrendeles_gomb_box_'+order_id+'').eq(0) );
        
        jQuery('.furgefutar_megrendeles_gomb_box_'+order_id+'').eq(0).hide();
        
        jQuery( ".furgefutar_notice" ).remove();

        jQuery.ajax({
            url: furgefutar_admin_adatok.ajax_url,
            data: {
                'action':'furgefutar_ajax_megrendeles',
                'order_id' : order_id
            },
            error: function (err) {
                console.log("AJAX error: " + JSON.stringify(err, null, 2));
            },
            success:function(furgefutar_megrendeles_return) {
   
                furgefutar_megrendeles_return = jQuery.parseJSON(furgefutar_megrendeles_return);
                

                if( furgefutar_megrendeles_return['sikeres'] ){
                    
                    $uzenet = furgefutar_megrendeles_return['sikeres'];
                    
                    if( furgefutar_megrendeles_return['hiba']  ){
                        
                        $uzenet += '<br/>';
                        
                        for ( index = furgefutar_megrendeles_return['hiba'].length - 1; index >= 0; index-- ) {

                            $uzenet += '<br/>'+furgefutar_megrendeles_return['hiba'][index];
                            
                        }
                    
                        
                    }
                    
                    if( furgefutar_megrendeles_return['debug']  ){
                        
                        $uzenet += '<br/><br/>';
                        
                        $uzenet += furgefutar_megrendeles_return['debug'];
                        
                    }

                    furgefutar_notice( 'updated', $uzenet );
                    
                    
   
                }
                else if( furgefutar_megrendeles_return['sikertelen'] ){
                    
                    $uzenet = furgefutar_megrendeles_return['sikertelen'];
                    
                    if( furgefutar_megrendeles_return['hiba']  ){
                        
                        $uzenet += '<br/>';
                        
                        for ( index = furgefutar_megrendeles_return['hiba'].length - 1; index >= 0; index-- ) {

                            $uzenet += '<br/>'+furgefutar_megrendeles_return['hiba'][index];
                            
                        }
                    
                        
                    }
                    
                    if( furgefutar_megrendeles_return['debug']  ){
                        
                        $uzenet += '<br/><br/>';
                        
                        $uzenet += furgefutar_megrendeles_return['debug'];
                        
                    }

                    furgefutar_notice( 'error', $uzenet );
                                       
                    
                }
                else{
                    
                    $uzenet = '';
                    
                    if( furgefutar_megrendeles_return['hiba']  ){
    
                        for ( index = furgefutar_megrendeles_return['hiba'].length - 1; index >= 0; index-- ) {

                            $uzenet += '<br/>'+furgefutar_megrendeles_return['hiba'][index];
                            
                        }
                    
                        
                    }
                    
                    if( furgefutar_megrendeles_return['debug']  ){
                        
                        $uzenet += '<br/><br/>';
                        
                        $uzenet += furgefutar_megrendeles_return['debug'];
                        
                    }

                    furgefutar_notice( 'error', $uzenet );
                    
                }
                
                
                /**/
                
                if( furgefutar_megrendeles_return['furgefutar_gombok'] ){
                        
                    jQuery('.furgefutar_megrendeles_gomb_box_'+order_id+'').eq(0).after( furgefutar_megrendeles_return['furgefutar_gombok'] );
                    
                }
                
                jQuery('.furgefutar_megrendeles_gomb').on( 'click', furgefutar_megrendeles );
                
                jQuery('.furgefutar_spinner_'+order_id+'').remove();   
                
                jQuery('.furgefutar_megrendeles_gomb_box_'+order_id+'').eq(0).remove();
                
                /**/         
               

            }
        });
        
 
    }
    
    /******************************************************************************************************************************************************************/
    /******************************************************************************************************************************************************************/
    
    function furgefutar_notice( tipus, tartalom ){
        
        jQuery( ".wp-header-end" ).after( 
           '<div  class="'+tipus+' notice is-dismissible furgefutar_notice"><div><img src="'+furgefutar_admin_adatok.plugin_dir_url+'images/pactic_ikon_3.png" />'+tartalom+'</div><button type="button" class="notice-dismiss furgefutar_notice_dismiss"></button></div>' 
        );
                        
    }

    
    /******************************************************************************************************************************************************************/
    /******************************************************************************************************************************************************************/
    
    jQuery( document ).on( 'click', '.furgefutar_notice_dismiss', function( event ){

        var gomb = jQuery( event.target );

        gomb.parent( '.notice' ).fadeTo(100, 0, function() {
            
            gomb.parent( '.notice' ).slideUp(100, function() {
               
                gomb.parent( '.notice' ).remove();
            
            });
            
        });

    });
    
    /******************************************************************************************************************************************************************/
    /******************************************************************************************************************************************************************/
    
    jQuery('body.woocommerce_page_wc-settings a.nav-tab[href$="tab=furgefutar"]').html('<img src="'+furgefutar_admin_adatok.plugin_dir_url+'/images/pactic_ikon_2.png" />');
        
    /******************************************************************************************************************************************************************/
    /******************************************************************************************************************************************************************/
    /******************************************************************************************************************************************************************/
    /******************************************************************************************************************************************************************/
    /******************************************************************************************************************************************************************/
    /******************************************************************************************************************************************************************/
    
    jQuery( document ).on( 'click', 'span.furgefutar_kivalasztott_gls_csomagpont_szerkesztes', function(  ){

        jQuery( 'div.furgefutar_kivalasztott_gls_csomagpont_szerkesztes' ).toggle();
        
        jQuery( '.furgefutar_gls_csomagpont_kivalasztott_kontener_cim' ).toggle();

    });
    
    /******************************************************************************************************************************************************************/
    /******************************************************************************************************************************************************************/
    
    
    jQuery( document ).on( 'click', 'span.furgefutar_kivalasztott_gls_csomagpont_torles', function(  ){
        
        jQuery('#furgefutar_kivalasztott_gls_csomagpont').val( '' );
        
        jQuery('.furgefutar_gls_csomagpont_kivalasztott_kontener_adatok').remove();
        
        jQuery( '<div class="furgefutar_gls_csomagpont_kivalasztott_kontener_adatok furgefutar_gls_csomagpont_kivalasztott_kontener_adatok_ures">'+furgefutar_admin_adatok.nincs_kivalasztott_csomagpont+'</div>' ).insertAfter( '#furgefutar_kivalasztott_gls_csomagpont' );

        jQuery( '.furgefutar_gls_csomagpont_lista_elem' ).removeClass( 'furgefutar_gls_csomagpont_kivalasztott_lista_elem' );

    });
    
    
    
    
    
    /******************************************************************************************************************************************************************/
    /******************************************************************************************************************************************************************/
    
    if( jQuery( '.furgefutar_gls_csomagpont_lista_elemek' ).length > 0 ) {

        furgefutar_gls_csomagpont_legordulo_generalas();
    
    }
                    
    function furgefutar_gls_csomagpont_legordulo_generalas( filter = '' ){
        
        jQuery.ajax({
            url: furgefutar_admin_adatok.ajax_url,
            data: {
                'action':'furgefutar_ajax_gls_csomagpontok',
                'filter': filter
            },
            success:function( furgefutar_ajax_gls_csomagpontok_return ) {
                
                var furgefutar_gls_csomagpontok = jQuery.parseJSON( furgefutar_ajax_gls_csomagpontok_return );

                jQuery('.furgefutar_gls_csomagpont_lista_elemek').find('.furgefutar_gls_csomagpont_lista_elem').remove();

                jQuery.each( furgefutar_gls_csomagpontok, function(key, furgefutar_gls_csomagpont) {
                    
                    furgefutar_gls_csomagpont_adatok = JSON.stringify(furgefutar_gls_csomagpont);
 
                    furgefutar_gls_csomagpont_adatok = furgefutar_gls_csomagpont_adatok.replace( /"/g, "'" );
   
                    /**/
                    lista_class = '';
                    
    
                    if( jQuery('#furgefutar_kivalasztott_gls_csomagpont').val() ){

                        if( jQuery('#furgefutar_kivalasztott_gls_csomagpont').attr('furgefutar_gls_csomagpont_kod') == furgefutar_gls_csomagpont.Code ){
                            
                            lista_class = 'furgefutar_gls_csomagpont_kivalasztott_lista_elem';
                            
                        }
                    
                    }
                    
                    
                    
                    furgefutar_gls_csomagpont_cim = furgefutar_gls_csomagpont.PostCode+' '+furgefutar_gls_csomagpont.City+' '+furgefutar_gls_csomagpont.StreetAndBuildingNumber;
                    
                    csomagpont = '<div class="furgefutar_gls_csomagpont_lista_elem '+lista_class+'">';
                        csomagpont += furgefutar_gls_csomagpont.Name;
                        csomagpont += '<div>';
                            csomagpont += furgefutar_gls_csomagpont_cim;
                        csomagpont += '</div>';
                    csomagpont += '</div>';
                    
                    jQuery('.furgefutar_gls_csomagpont_lista_elemek').append( jQuery(csomagpont).
                        attr("furgefutar_gls_csomagpont_kod",furgefutar_gls_csomagpont.Code).
                        attr("furgefutar_gls_csomagpont_nev",furgefutar_gls_csomagpont.Name).
                        attr("furgefutar_gls_csomagpont_iranyitoszam",furgefutar_gls_csomagpont.PostCode).
                        attr("furgefutar_gls_csomagpont_varos",furgefutar_gls_csomagpont.City).
                        attr("furgefutar_gls_csomagpont_utca",furgefutar_gls_csomagpont.StreetAndBuildingNumber).
                        attr("furgefutar_gls_csomagpont_adatok",furgefutar_gls_csomagpont_adatok) 
                    ); 
                    /**/
                    
                    
                });
   
            }
            
        });
        
    }
    
    /******************************************************************************************************************************************************************/
    /******************************************************************************************************************************************************************/
    
    jQuery( document ).on( 'click', '.furgefutar_gls_csomagpont_lista_elem', function(  ){

        jQuery('#furgefutar_kivalasztott_gls_csomagpont').val( jQuery( this ).attr( 'furgefutar_gls_csomagpont_adatok' ) );
        
        jQuery('.furgefutar_gls_csomagpont_kivalasztott_kontener_adatok').remove();

        jQuery( 
            '<div class="furgefutar_gls_csomagpont_kivalasztott_kontener_adatok">'+
                jQuery( this ).attr( 'furgefutar_gls_csomagpont_nev' )+'<br/>'+
                jQuery( this ).attr( 'furgefutar_gls_csomagpont_iranyitoszam' )+'<br/>'+
                jQuery( this ).attr( 'furgefutar_gls_csomagpont_varos' )+'<br/>'+
                jQuery( this ).attr( 'furgefutar_gls_csomagpont_utca' )+
            '</div>' 
        ).insertAfter( '#furgefutar_kivalasztott_gls_csomagpont' );

        jQuery( '.furgefutar_gls_csomagpont_lista_elem' ).removeClass( 'furgefutar_gls_csomagpont_kivalasztott_lista_elem' );
        jQuery( this ).addClass( 'furgefutar_gls_csomagpont_kivalasztott_lista_elem' );
        
    });
    
    /******************************************************************************************************************************************************************/
    /******************************************************************************************************************************************************************/
    
    jQuery( document ).on( 'keyup', "#furgefutar_gls_csomagpont_filter", function(  ){
        
        filter = jQuery(this).val();
        
        if( filter.length == 4 || filter.length == 0 ){
        
            furgefutar_gls_csomagpont_legordulo_generalas( filter );
        
        }

    });
    
    /******************************************************************************************************************************************************************/
    /******************************************************************************************************************************************************************/
    
    jQuery( document ).on( 'click', '.furgefutar_fuvarlevelek_torles_gomb', function(  ){

        jQuery.ajax({
            url: furgefutar_admin_adatok.ajax_url,
            data: {
                'action':'furgefutar_fuvarlevelek_ajax_torles'
            },
            success:function(furgefutar_fuvarlevelek_ajax_torles_return) {
                
                jQuery( ".furgefutar_notice" ).remove();
   
                jQuery( '.furgefutar_fuvarlevelek_torles_gomb' ).after( 
                   '<div class="updated notice is-dismissible furgefutar_notice"><div><img src="'+furgefutar_admin_adatok.plugin_dir_url+'images/pactic_ikon_3.png" />'+furgefutar_fuvarlevelek_ajax_torles_return+'</div><button type="button" class="notice-dismiss furgefutar_notice_dismiss"></button></div>' 
                );

            }
        });

    });
    
    /******************************************************************************************************************************************************************/
    /******************************************************************************************************************************************************************/
    
    if( jQuery( "select#furgefutar_fizetesi_modok" ).length > 0 ) {
           
        jQuery("select#furgefutar_fizetesi_modok").select2();
    
    }
    
    /******************************************************************************************************************************************************************/
    /******************************************************************************************************************************************************************/
    
    jQuery( document ).on( 'click', '.furgefutar_cod_notice_dismiss', function( event ){

        var gomb = jQuery( event.target );
        
        jQuery.ajax({
            url: furgefutar_admin_adatok.ajax_url,
            data: {
                'action':'furgefutar_cod_notice_dismiss'
            },
            success:function() {

                gomb.parent( 'p' ).parent( 'div' ).parent( '.notice' ).fadeTo(100, 0, function() {
            
                gomb.parent( 'p' ).parent( 'div' ).parent( '.notice' ).slideUp(100, function() {
                   
                    gomb.parent( 'p' ).parent( 'div' ).parent( '.notice' ).remove();
                
                });
                
            });

            }
        });

        

    });
    
    /******************************************************************************************************************************************************************/
    /******************************************************************************************************************************************************************/
    
    
   
     
});









